module Sinatra
  module Cl
    module Files
      class Readme
        def self.build(app_name)
          File.open("#{app_name}/README.md", "w+") { |io|
            io << <<-END
#ratpack

a simple boilerplate for creating production-ready sinatra apps that use activerecord and sqlite

twitterbootstrap using html and css are included.

if ya want haml and sass, be on the look for classy.

## Up and running
1. `bundle install`
2. `shotgun`
3. visit `localhost:9393`

## Gemfile
- [sinatra](http://www.sinatrarb.com/): web framework
- [sqlite3](https://github.com/luislavena/sqlite3-ruby): Database
- [activerecord](http://guides.rubyonrails.org/active_record_querying.html): ORM
- [sinatra-activerecord](https://github.com/bmizerany/sinatra-activerecord)
- [rake](http://rake.rubyforge.org/)

### Development
   * [shotgun](https://github.com/rtomayko/shotgun)
   * [tux](http://tagaholic.me/2011/04/10/tux-a-sinatra-console.html)
            END
          }
        end
      end
    end
  end
end
